> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Payroll Groups

> Marks the given approved reporting groups as SUBMITTED.

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/submit-payroll-groups
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/submit-payroll-groups:
    post:
      operationId: submitPayrollGroups
      summary: Submit Payroll Groups
      description: |-
        Marks the given approved reporting groups as SUBMITTED.

        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitPayrollGroupsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitPayrollGroupsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SubmitPayrollGroupsRequest:
      type: object
      properties:
        payrollReportingGroupIDs:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
      required:
        - payrollReportingGroupIDs
    SubmitPayrollGroupsResponse:
      type: object
      properties:
        success:
          type: boolean
        submittedCount:
          type: integer
      required:
        - success
        - submittedCount
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
